Action Plans
- GET
/rest/v1.0/companies/{company_id}/action_plans/plan_templates - POST
/rest/v1.0/companies/{company_id}/action_plans/plan_templates - GET
/rest/v1.0/companies/{company_id}/action_plans/plan_templates/{id} - PATCH
/rest/v1.0/companies/{company_id}/action_plans/plan_templates/{id} - GET
/rest/v1.0/projects/{project_id}/action_plans/filter_options/status - GET
/rest/v1.0/projects/{project_id}/action_plans/parties - GET
/rest/v1.0/projects/{project_id}/action_plans/plan_approvers - POST
/rest/v1.0/projects/{project_id}/action_plans/plan_approvers - GET
/rest/v1.0/projects/{project_id}/action_plans/plan_approvers/{plan_approver_id} - PATCH
/rest/v1.0/projects/{project_id}/action_plans/plan_approvers/{plan_approver_id}/signature - GET
/rest/v1.0/projects/{project_id}/action_plans/plan_receivers - POST
/rest/v1.0/projects/{project_id}/action_plans/plan_receivers - GET
/rest/v1.0/projects/{project_id}/action_plans/plan_receivers/{plan_receiver_id} - PATCH
/rest/v1.0/projects/{project_id}/action_plans/plan_receivers/{plan_receiver_id}/signature - GET
/rest/v1.0/projects/{project_id}/action_plans/plans - POST
/rest/v1.0/projects/{project_id}/action_plans/plans - GET
/rest/v1.0/projects/{project_id}/action_plans/plans/{id} - PATCH
/rest/v1.0/projects/{project_id}/action_plans/plans/{id} - GET
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}/items - POST
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}/items - GET
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}/items/{item_id} - PATCH
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}/items/{item_id} - PATCH
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}/items/{item_id}/assign - POST
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}/items/{item_id}/sign_off - DELETE
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}/items/{item_id}/sign_off - GET
/rest/v1.0/projects/{project_id}/action_plans/plans/recycle_bin - GET
/rest/v1.0/projects/{project_id}/action_plans/potential_assignees
/rest/v1.0/companies/{company_id}/action_plans/plan_templatesGET companies/{company_id}/action_plans/plan_templates
Parameters
- company_idstringpathrequired
Response · 200 · TemplateListItem[]
- idintegerrequired
- titlestringrequired
- description_plain_textstring
- statusstringrequired
- translated_statusstring
- template_typestringrequired
- plan_typePlanType
- item_countinteger
- created_atstring
- updated_atstring
- deletedboolean
- deleted_atstring
/rest/v1.0/companies/{company_id}/action_plans/plan_templatesPOST companies/{company_id}/action_plans/plan_templates
Parameters
- company_idstringpathrequired
Response · 201 · TemplateShow
- idintegerrequired
- titlestringrequired
- description_plain_textstring
- statusstringrequired
- translated_statusstring
- template_typestringrequired
- plan_typePlanType
- item_countinteger
- created_atstring
- updated_atstring
- deletedboolean
- deleted_atstring
- created_byPartyPerson
- sectionsTemplateSection[]
- itemsTemplateItem[]
/rest/v1.0/companies/{company_id}/action_plans/plan_templates/{id}GET companies/{company_id}/action_plans/plan_templates/{id}
Parameters
- company_idstringpathrequired
- idstringpathrequired
Response · 200 · TemplateShow
- idintegerrequired
- titlestringrequired
- description_plain_textstring
- statusstringrequired
- translated_statusstring
- template_typestringrequired
- plan_typePlanType
- item_countinteger
- created_atstring
- updated_atstring
- deletedboolean
- deleted_atstring
- created_byPartyPerson
- sectionsTemplateSection[]
- itemsTemplateItem[]
/rest/v1.0/companies/{company_id}/action_plans/plan_templates/{id}PATCH companies/{company_id}/action_plans/plan_templates/{id}
Parameters
- company_idstringpathrequired
- idstringpathrequired
Response · 200 · TemplateShow
- idintegerrequired
- titlestringrequired
- description_plain_textstring
- statusstringrequired
- translated_statusstring
- template_typestringrequired
- plan_typePlanType
- item_countinteger
- created_atstring
- updated_atstring
- deletedboolean
- deleted_atstring
- created_byPartyPerson
- sectionsTemplateSection[]
- itemsTemplateItem[]
/rest/v1.0/projects/{project_id}/action_plans/filter_options/statusGET projects/{project_id}/action_plans/filter_options/status
Parameters
- project_idstringpathrequired
Response · 200 · object[]
- keystringrequired
- valuestringrequired
/rest/v1.0/projects/{project_id}/action_plans/partiesGET projects/{project_id}/action_plans/parties
Parameters
- project_idstringpathrequired
Response · 200 · ProjectParty[]
- idintegerrequired
- first_namestring
- last_namestring
- namestringrequired
- user_idintegerrequired
- is_employeeboolean
- employee_idstring | null
- loginstring
- vendorobject | null
- potential_managerboolean
- potential_assigneeboolean
- potential_approverboolean
- potential_receiverboolean
- updated_atstring
/rest/v1.0/projects/{project_id}/action_plans/plan_approversGET projects/{project_id}/action_plans/plan_approvers
Parameters
- project_idstringpathrequired
Response · 200 · PlanParty[]
- idintegerrequired
- plan_idintegerrequired
- partyPartyPersonrequired
- signaturePlanPartySignaturerequired
- updated_atstringrequired
/rest/v1.0/projects/{project_id}/action_plans/plan_approversPOST projects/{project_id}/action_plans/plan_approvers
Parameters
- project_idstringpathrequired
Response · 201 · PlanParty
- idintegerrequired
- plan_idintegerrequired
- partyPartyPersonrequired
- signaturePlanPartySignaturerequired
- updated_atstringrequired
/rest/v1.0/projects/{project_id}/action_plans/plan_approvers/{plan_approver_id}GET projects/{project_id}/action_plans/plan_approvers/{plan_approver_id}
Parameters
- project_idstringpathrequired
- plan_approver_idstringpathrequired
Response · 200 · PlanParty
- idintegerrequired
- plan_idintegerrequired
- partyPartyPersonrequired
- signaturePlanPartySignaturerequired
- updated_atstringrequired
/rest/v1.0/projects/{project_id}/action_plans/plan_approvers/{plan_approver_id}/signaturePATCH projects/{project_id}/action_plans/plan_approvers/{plan_approver_id}/signature
Parameters
- project_idstringpathrequired
- plan_approver_idstringpathrequired
Response · 200 · PlanParty
- idintegerrequired
- plan_idintegerrequired
- partyPartyPersonrequired
- signaturePlanPartySignaturerequired
- updated_atstringrequired
/rest/v1.0/projects/{project_id}/action_plans/plan_receiversGET projects/{project_id}/action_plans/plan_receivers
Parameters
- project_idstringpathrequired
Response · 200 · PlanParty[]
- idintegerrequired
- plan_idintegerrequired
- partyPartyPersonrequired
- signaturePlanPartySignaturerequired
- updated_atstringrequired
/rest/v1.0/projects/{project_id}/action_plans/plan_receiversPOST projects/{project_id}/action_plans/plan_receivers
Parameters
- project_idstringpathrequired
Response · 201 · PlanParty
- idintegerrequired
- plan_idintegerrequired
- partyPartyPersonrequired
- signaturePlanPartySignaturerequired
- updated_atstringrequired
/rest/v1.0/projects/{project_id}/action_plans/plan_receivers/{plan_receiver_id}GET projects/{project_id}/action_plans/plan_receivers/{plan_receiver_id}
Parameters
- project_idstringpathrequired
- plan_receiver_idstringpathrequired
Response · 200 · PlanParty
- idintegerrequired
- plan_idintegerrequired
- partyPartyPersonrequired
- signaturePlanPartySignaturerequired
- updated_atstringrequired
/rest/v1.0/projects/{project_id}/action_plans/plan_receivers/{plan_receiver_id}/signaturePATCH projects/{project_id}/action_plans/plan_receivers/{plan_receiver_id}/signature
Parameters
- project_idstringpathrequired
- plan_receiver_idstringpathrequired
Response · 200 · PlanParty
- idintegerrequired
- plan_idintegerrequired
- partyPartyPersonrequired
- signaturePlanPartySignaturerequired
- updated_atstringrequired
/rest/v1.0/projects/{project_id}/action_plans/plansGET projects/{project_id}/action_plans/plans
Parameters
- project_idstringpathrequired
Response · 200 · PlanListItem[] | integer[]
- idintegerrequired
- numberinteger
- full_numberstring
- titlestringrequired
- description_plain_textstring
- statusstringrequired
- status_typestringrequired
- translated_statusstring
- plan_statusPlanStatus
- plan_typePlanType
- privateboolean
- managerPartyPerson
- template_idinteger
- total_item_countintegerrequired
- closed_item_countintegerrequired
- progress_percentinteger
- specification_section_idinteger
- created_atstring
- updated_atstring
- deletedboolean
- deleted_atstring
/rest/v1.0/projects/{project_id}/action_plans/plansPOST projects/{project_id}/action_plans/plans
Parameters
- project_idstringpathrequired
Response · 201 · PlanShow
- idintegerrequired
- numberinteger
- full_numberstring
- titlestringrequired
- description_plain_textstring
- statusstringrequired
- status_typestringrequired
- translated_statusstring
- plan_statusPlanStatus
- plan_typePlanType
- privateboolean
- managerPartyPerson
- template_idinteger
- total_item_countintegerrequired
- closed_item_countintegerrequired
- progress_percentinteger
- specification_section_idinteger
- created_atstring
- updated_atstring
- deletedboolean
- deleted_atstring
- created_byPartyPerson
- custom_fieldsobject
- plan_approversPlanParty[]
- plan_receiversPlanParty[]
- specification_sectionobject
- sectionsPlanSection[]
- itemsPlanItem[]
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}GET projects/{project_id}/action_plans/plans/{id}
Parameters
- project_idstringpathrequired
- idstringpathrequired
Response · 200 · PlanShow
- idintegerrequired
- numberinteger
- full_numberstring
- titlestringrequired
- description_plain_textstring
- statusstringrequired
- status_typestringrequired
- translated_statusstring
- plan_statusPlanStatus
- plan_typePlanType
- privateboolean
- managerPartyPerson
- template_idinteger
- total_item_countintegerrequired
- closed_item_countintegerrequired
- progress_percentinteger
- specification_section_idinteger
- created_atstring
- updated_atstring
- deletedboolean
- deleted_atstring
- created_byPartyPerson
- custom_fieldsobject
- plan_approversPlanParty[]
- plan_receiversPlanParty[]
- specification_sectionobject
- sectionsPlanSection[]
- itemsPlanItem[]
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}PATCH projects/{project_id}/action_plans/plans/{id}
Parameters
- project_idstringpathrequired
- idstringpathrequired
Response · 200 · PlanShow
- idintegerrequired
- numberinteger
- full_numberstring
- titlestringrequired
- description_plain_textstring
- statusstringrequired
- status_typestringrequired
- translated_statusstring
- plan_statusPlanStatus
- plan_typePlanType
- privateboolean
- managerPartyPerson
- template_idinteger
- total_item_countintegerrequired
- closed_item_countintegerrequired
- progress_percentinteger
- specification_section_idinteger
- created_atstring
- updated_atstring
- deletedboolean
- deleted_atstring
- created_byPartyPerson
- custom_fieldsobject
- plan_approversPlanParty[]
- plan_receiversPlanParty[]
- specification_sectionobject
- sectionsPlanSection[]
- itemsPlanItem[]
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}/itemsGET projects/{project_id}/action_plans/plans/{id}/items
Parameters
- project_idstringpathrequired
- idstringpathrequired
Response · 200 · PlanItem[]
- idintegerrequired
- plan_idintegerrequired
- plan_section_idinteger
- titlestringrequired
- notesstring
- holding_typestring
- positioninteger
- statusItemStatusrequired
- record_typestring
- due_atstring
- template_item_idinteger
- plan_item_assigneesPlanItemAssignee[]
- signed_offboolean
- sign_offPlanItemSignOff
- created_atstring
- updated_atstring
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}/itemsPOST projects/{project_id}/action_plans/plans/{id}/items
Parameters
- project_idstringpathrequired
- idstringpathrequired
Response · 201 · PlanItem
- idintegerrequired
- plan_idintegerrequired
- plan_section_idinteger
- titlestringrequired
- notesstring
- holding_typestring
- positioninteger
- statusItemStatusrequired
- record_typestring
- due_atstring
- template_item_idinteger
- plan_item_assigneesPlanItemAssignee[]
- signed_offboolean
- sign_offPlanItemSignOff
- created_atstring
- updated_atstring
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}/items/{item_id}GET projects/{project_id}/action_plans/plans/{id}/items/{item_id}
Parameters
- project_idstringpathrequired
- idstringpathrequired
- item_idstringpathrequired
Response · 200 · PlanItem
- idintegerrequired
- plan_idintegerrequired
- plan_section_idinteger
- titlestringrequired
- notesstring
- holding_typestring
- positioninteger
- statusItemStatusrequired
- record_typestring
- due_atstring
- template_item_idinteger
- plan_item_assigneesPlanItemAssignee[]
- signed_offboolean
- sign_offPlanItemSignOff
- created_atstring
- updated_atstring
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}/items/{item_id}PATCH projects/{project_id}/action_plans/plans/{id}/items/{item_id}
Parameters
- project_idstringpathrequired
- idstringpathrequired
- item_idstringpathrequired
Response · 200 · PlanItem
- idintegerrequired
- plan_idintegerrequired
- plan_section_idinteger
- titlestringrequired
- notesstring
- holding_typestring
- positioninteger
- statusItemStatusrequired
- record_typestring
- due_atstring
- template_item_idinteger
- plan_item_assigneesPlanItemAssignee[]
- signed_offboolean
- sign_offPlanItemSignOff
- created_atstring
- updated_atstring
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}/items/{item_id}/assignPATCH projects/{project_id}/action_plans/plans/{id}/items/{item_id}/assign
Parameters
- project_idstringpathrequired
- idstringpathrequired
- item_idstringpathrequired
Response · 200 · PlanItem
- idintegerrequired
- plan_idintegerrequired
- plan_section_idinteger
- titlestringrequired
- notesstring
- holding_typestring
- positioninteger
- statusItemStatusrequired
- record_typestring
- due_atstring
- template_item_idinteger
- plan_item_assigneesPlanItemAssignee[]
- signed_offboolean
- sign_offPlanItemSignOff
- created_atstring
- updated_atstring
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}/items/{item_id}/sign_offPOST projects/{project_id}/action_plans/plans/{id}/items/{item_id}/sign_off
Parameters
- project_idstringpathrequired
- idstringpathrequired
- item_idstringpathrequired
Response · 200 · PlanItem
- idintegerrequired
- plan_idintegerrequired
- plan_section_idinteger
- titlestringrequired
- notesstring
- holding_typestring
- positioninteger
- statusItemStatusrequired
- record_typestring
- due_atstring
- template_item_idinteger
- plan_item_assigneesPlanItemAssignee[]
- signed_offboolean
- sign_offPlanItemSignOff
- created_atstring
- updated_atstring
/rest/v1.0/projects/{project_id}/action_plans/plans/{id}/items/{item_id}/sign_offDELETE projects/{project_id}/action_plans/plans/{id}/items/{item_id}/sign_off
Parameters
- project_idstringpathrequired
- idstringpathrequired
- item_idstringpathrequired
Response · 200 · PlanItem
- idintegerrequired
- plan_idintegerrequired
- plan_section_idinteger
- titlestringrequired
- notesstring
- holding_typestring
- positioninteger
- statusItemStatusrequired
- record_typestring
- due_atstring
- template_item_idinteger
- plan_item_assigneesPlanItemAssignee[]
- signed_offboolean
- sign_offPlanItemSignOff
- created_atstring
- updated_atstring
/rest/v1.0/projects/{project_id}/action_plans/plans/recycle_binGET projects/{project_id}/action_plans/plans/recycle_bin
Parameters
- project_idstringpathrequired
Response · 200 · PlanListItem[]
- idintegerrequired
- numberinteger
- full_numberstring
- titlestringrequired
- description_plain_textstring
- statusstringrequired
- status_typestringrequired
- translated_statusstring
- plan_statusPlanStatus
- plan_typePlanType
- privateboolean
- managerPartyPerson
- template_idinteger
- total_item_countintegerrequired
- closed_item_countintegerrequired
- progress_percentinteger
- specification_section_idinteger
- created_atstring
- updated_atstring
- deletedboolean
- deleted_atstring
/rest/v1.0/projects/{project_id}/action_plans/potential_assigneesGET projects/{project_id}/action_plans/potential_assignees
Parameters
- project_idstringpathrequired
Response · 200 · object[]
- idintegerrequired
- loginstringrequired
- namestringrequired
- localestring